org.eclipse.ecf.remoteservice

## Interface IRemoteServiceReference

All Known Implementing Classes:
  RemoteServiceClientReference, RemoteServiceReferenceImpl, RemoteServiceReferenceImpl

    public interface IRemoteServiceReference

Remote service reference. Instances implementing this interface are returned from the IRemoteServiceContainerAdapter.getRemoteServiceReferences call. Once retrieved, such references can be resolved to an IRemoteService via calls to IRemoteServiceContainerAdapter.getRemoteService(reference)

See Also:
  `IRemoteServiceContainerAdapter`

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getContainerID()` Get container ID for remote service
`IRemoteServiceID` `getID()` Get the remote service ID for this reference.
`Object` `getProperty(String key)` Get given property for remote service
`String[]` `getPropertyKeys()` Get all property keys for remote service
`boolean` `isActive()` Return true if reference is active, false otherwise

### Method Detail

#### getID

    IRemoteServiceID getID()

Get the remote service ID for this reference. Will not return `null`.

Returns:
  IRemoteServiceID the id for the remote service associated with this reference.
Since:
  3.0

#### getContainerID

    ID getContainerID()

Get container ID for remote service

Returns:
  ID the containerID for this reference (where the service is located). Will not be `null` .

#### getProperty

    Object getProperty(String key)

Get given property for remote service

Parameters:
  `key` - the key for the property to get. Must not be `null` .
Returns:
  Object the object or `null` if does not have named property

#### getPropertyKeys

    String[] getPropertyKeys()

Get all property keys for remote service

Returns:
  String [] of property keys. Will not be `null`, but may be empty array.

#### isActive

    boolean isActive()

Return true if reference is active, false otherwise

Returns:
  true if reference is currently active, false otherwise